package ntnu.model;

import java.util.ArrayList;
import java.util.List;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

public class User {

	List <Rating> ratings; 
	long id; 
	
	public List<Rating> getRatings() {
		return ratings;
	}

	public void setRatings(List<Rating> ratings) {
		this.ratings = ratings;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public static User fromXml(Element e)
	{
		User u = new User(); 
		
		List <Rating> listOfRatings = new ArrayList<Rating>(); 
		
		Element ratings = (Element)e.getElementsByTagName("ratings").item(0);
		NodeList xmlAttributes = ratings.getElementsByTagName("rating");
		
		for(int i = 0;i<xmlAttributes.getLength();i++)
		{
			listOfRatings.add(Rating.fromXml((Element)xmlAttributes.item(i))); 
		}
		
		u.setRatings(listOfRatings); 
		
		return u; 
		
	}

	
	
}
