package dao;

import java.util.List;

import com.vividsolutions.jts.geom.Point;

import model.Citynode;
import model.Context;

public interface CitynodeDAO extends GenericDAO<Citynode, Long> {

	
	List <Citynode> findCityNodeWithin(Point p, double radius); 
	
	List <Citynode> contains (Point userPosition); 
	
	List <Citynode> findCitynodesSleep(Context c); 
	
	List <Citynode> findCitynodesEat(Context c); 
	
	List <Citynode> findCitynodeExperience(Context c); 
	
}
