package matrixPacket;

import java.util.ArrayList;

import Jama.Matrix;

public class User {
	Matrix userFeatures;
	public ArrayList<Rating> ratings = new ArrayList<Rating>();
	public model.User modelUser;
	
	public User()
	{
		
	}
	
	public User(Matrix m)
	{
		this.userFeatures=m;
	}
	public User(Matrix m, ArrayList<Rating> r)
	{
		this.userFeatures=m;
		this.ratings=r;
	}

	public Matrix getUserFeatures() {
		return userFeatures;
	}

	public void setUserFeatures(Matrix userFeatures) {
		this.userFeatures = userFeatures;
	}

	public ArrayList<Rating> getRatings() {
		return ratings;
	}

	public void setRatings(ArrayList<Rating> ratings) {
		this.ratings = ratings;
	}
	public void addRating(Rating r){
		ratings.add(r);
	}
	
	
	
	public model.User getModelUser() {
		return modelUser;
	}

	public void setModelUser(model.User modelUser) {
		this.modelUser = modelUser;
	}

	public boolean isEqual(User us){
		if (this.modelUser.getUsername().equals(us.modelUser.getUsername())){
			return true;
		} else {
			return false;
		}
	}

}
