package matrixPacket;

public class matrix {
	private int width;
	private int height;
	private double [][] matrix;
	
	public double[][] getMatrix() {
		return matrix;
	}

	public void setMatrix(double[][] matrix) {
		this.matrix = matrix;
	}

	public matrix(int height, int width) {
		this.height=height;
		this.width=width;
		this.matrix = new double[height][width];
	}
	public matrix(int n) {
		this.height=n;
		this.width=n;
		this.matrix = new double[n][n];
		for (int i = 0; i < n; i++) {
			this.matrix[n][n] = 1.0;
		}
	}
	
	public matrix multiplicate(matrix a){
		if (this.width!=a.getHeight())
			return null;
		matrix m = new matrix(this.height,a.getWidth());
		for(int i = 0;i<m.getHeight();i++) {
			for(int j = 0; j<m.getWidth();j++) {
				for(int x = 0;x<m.getHeight();x++) {
					m.getMatrix()[i][j]+=this.matrix[i][x]*a.getMatrix()[x][j];
					
				}
			}
		}
		return m;
	}
	
	public void multiplicate(int m){
		
		for(int i = 0;i<this.height;i++) {
			for(int j = 0;j< this.width;j++) {
				this.matrix[i][j]*=m;
			}
		}
	}
	
	public matrix transpose() {
		matrix m = new matrix(this.width,this.height);
		for(int i = 0;i<m.getHeight();i++) {
			for(int j = 0; j<m.getWidth();j++) {
				m.getMatrix()[i][j]=this.matrix[j][i];
			}
		}
		return m;
	}
	
	public matrix invert() {
		matrix m = new matrix(this.width,this.height);
		for(int i = 0;i<m.getHeight();i++) {
			for(int j = 0; j<m.getWidth();j++) {
				m.getMatrix()[i][j]=this.matrix[j][i];
			}
		}
		return m;
	}
	
	public void print(){
		for (int i = 0; i < this.height; i++) {
			for (int j = 0; j < this.width; j++) {
				System.out.print(this.matrix[i][j] + " | ");
			}
			System.out.println("\n");
		}
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

}
