package ntnu.model;

import java.io.Serializable;

import org.w3c.dom.Element;

import android.util.Log;

public class Preference implements Serializable {
	
	private Attribute attribure; 
	
	private String probailty;
	
	private String id; 

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Attribute getAttribure() {
		return attribure;
	}

	public void setAttribure(Attribute attribure) {
		this.attribure = attribure;
	}

	public String getProbailty() {
		return probailty;
	}

	public void setProbailty(String probailty) {
		this.probailty = probailty;
	}

	public static Preference fromXml(Element item) 
	{
		
		Preference pref = new Preference();
	
		pref.setId(	item.getAttribute("id"));               
		pref.setProbailty(item.getAttribute("probability").trim());
		pref.setAttribure(Attribute.fromXml((Element) item.getElementsByTagName("attribute").item(0)));
		return pref; 
	} 
	
	
	public String toString()
	{ 
		String s = " Pref Id: " + getId(); 
		s += "Attribute: " + getAttribure().getDescription(); 
		s+="Probalilty: " + getProbailty(); 
		
		return s;
	}
	
	
	
	
	
	

}
