package ntnu.model;

import java.io.Serializable;

import org.w3c.dom.Element;

import android.util.Log;

public class Rating implements Serializable, Comparable<Rating> {


	
	private double rating; 
	
	private String title;

	private long userid; 
	
	private long citynodeId; 

	public long getCitynodeId() {
		return citynodeId;
	}

	public void setCitynodeId(long citynodeId) {
		this.citynodeId = citynodeId;
	}

	public long getUserid() {
		return userid;
	}

	public void setUserid(long userid) {
		this.userid = userid;
	}

	public double getRating() {
		return rating;
	}

	public void setRating(double rating) {
		this.rating = rating;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	} 
	
	public static Rating  fromXml(Element e)
	{ 
		Rating r = new Rating(); 
		

		
		r.setRating(Double.parseDouble(e.getAttribute("rating")));
		r.setTitle(e.getAttribute("title")); 
		r.setUserid(Long.parseLong(e.getAttribute("userid"))); 
		r.setCitynodeId(Long.valueOf(e.getAttribute("citynodeid")));
		return r; 
	}

	@Override
	public int compareTo(Rating another) {
		
		if(another.getRating()>this.getRating())
			return -1; 
		if(another.getRating()<this.getRating())
			return 1;
		return 0;
	}
	

	
	
}
