package ntnu.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import android.R.xml;

public class UserModel  implements Serializable{

	
	private List <Preference> preferences;
	
	private String id; 
	

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public List<Preference> getPreferences() {
		return preferences;
	}

	public void setPreferences(List<Preference> preferences) {
		this.preferences = preferences;
	}  

	public Preference getPreference(Attribute a)
	{
		for(Preference p : preferences)
		{ 
			
			System.out.println(p.getAttribure().getDescription() + " " + p.getId());
			
			if(Integer.valueOf(a.getId())==Integer.valueOf(p.getAttribure().getId()))
			{ 
				return p; 
			}
		}
		return null;
	}
	
	public void updatePreferance(double value, Preference a)
	{ 
		
	}
	
	
	

	public static UserModel fromXml(Element node)
	{ 
		UserModel um = new UserModel(); 
		um.setId(node.getAttribute("id")); 
		
		List <Preference> preferences = new ArrayList<Preference>(); 
		
		NodeList xmlPreferences= ((Element)node.getElementsByTagName("preferences").item(0)).getElementsByTagName("preference");
		
		for(int i=0;i<xmlPreferences.getLength();i++)
		{ 
			preferences.add(Preference.fromXml((Element)xmlPreferences.item(i))); 
		}
		um.setPreferences(preferences); 
		
		return um; 
	}
	/*
	public static Recommendation fromXml(Element node)
	{ 
		Recommendation newRec = new Recommendation(); 
		
		newRec.setId(node.getAttribute("id")); 
		newRec.setSystemRating(node.getAttribute("systemrating")); 
		newRec.setTextualExplanation(node.getAttribute("textualdescription")); 
		newRec.setUserRating(node.getAttribute("userrating")); 
		newRec.setRateChange(Integer.valueOf(node.getAttribute("ratechange"))); 
		
		newRec.setNode(Citynode.fromXml((Element)node.getElementsByTagName("citynode").item(0))); 
		
		return newRec; 
	}*/
	
	
	public String toString()
	{ 
		String  s= "User model id "+ getId();
		
		s+="Here comes the preferences:"; 
		
		for(Preference p : preferences)
		{ 
			s+=p.toString(); 
		}
		
		return s; 
		
	}
	
	
	
	
}
