package ntnu.util;

import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;

public class ColorChangeUtil {

	
	
	static int THRESHOLD = 5; 
	
	
	public static int rateColor(int rating)
	{
		int to; 
		   //TODO: Do something smarter 
		   Color c = new Color(); 
		
		   if(rating>80)
			   to = c.argb(255, 0, 204, 51); 
		   else if(rating>70)
			   to = c.argb(255, 0, 204, 0); 
		   else if(rating>60)
			   to = c.argb(255, 153, 255, 0); 
		   else if(rating>50)
			   to =  c.argb(255, 255, 255, 0);
		   else if(rating>40)
			   to= c.argb(255, 255, 153, 0);
		   else if(rating>30)
			   to = c.argb(255, 255, 102, 0);
		   else
			   to = c.argb(255, 204, 0, 51);
			   
		  return to; 
	}
	
	
	public static Drawable changeBackground(Drawable d, int rating)
	{ 	
		
		   int to; 
		   //TODO: Do something smarter 
		   Color c = new Color(); 
		   
		   if(rating>80)
			   to = c.argb(255, 0, 204, 51); 
		   else if(rating>70)
			   to = c.argb(255, 0, 204, 0); 
		   else if(rating>60)
			   to = c.argb(255, 153, 255, 0); 
		   else if(rating>50)
			   to =  c.argb(255, 255, 255, 0);
		   else if(rating>40)
			   to= c.argb(255, 255, 153, 0);
		   else if(rating>30)
			   to = c.argb(255, 255, 102, 0);
		   else
			   to = c.argb(255, 204, 0, 51);
			   
		

		    //Need to copy to ensure that the bitmap is mutable.
		    Bitmap src = ((BitmapDrawable) d).getBitmap();
		    Bitmap bitmap = src.copy(Bitmap.Config.ARGB_8888, true);
		    
		    //sample a pixel that should be the background color
		    int fromColor = bitmap.getPixel((int)bitmap.getWidth()/2, 5); 
		    
		  
		    for(int x = 0;x < bitmap.getWidth();x++)
		        for(int y = 0;y < bitmap.getHeight();y++)
		            if((bitmap.getPixel(x, y)==fromColor)) 
		                bitmap.setPixel(x, y, to);

		    return new BitmapDrawable(bitmap);

	}
	

	
	
	
}
